<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:body>
        <ui:composition template="../layout_e.xhtml">
            <ui:define name="titulo">MusicApp | Lecciones</ui:define>
            <ui:define name="encabezado">Lecciones</ui:define>
            <ui:define name="contenido">
                <ui:repeat value="#{leccionBean.listarLecciones()}" var="leccion" varStatus="estado">
                    <div class="row">
                        <div class="col-md-8 col-md-offset-2">
                            <!-- Box Comment -->
                            <div class="box box-widget">
                                <div class="box-header with-border">
                                    <div class="user-block">                                   
                                        <h:graphicImage class="img-circle" library="images" name="profile/#{leccion.usuario.foto}" alt="User Image" />
                                        <span class="username"><a href="#">#{leccion.usuario.nombre}</a></span>
                                        <span class="description">Publicado  #{leccion.fechaPublicacion}</span>
                                    </div>
                                    <!-- /.user-block -->
                                    <div class="box-tools">
                                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                                        </button>
                                    </div>
                                    <!-- /.box-tools -->
                                    <div class="text-center">
                                        <h4>#{leccion.titulo}</h4>
                                    </div>
                                </div>
                                <!-- /.box-header -->
                                <div class="box-body" style="display: block;">
                                    <h:graphicImage class="img-responsive pad" library="dist" name="img/photo2.png" />
                                    <p><b>Instrumento: </b> #{leccion.instrumento}</p>
                                    <p><b>Dificultad: </b>#{leccion.dificultad}</p>
                                    <p>#{leccion.contenido}</p>
                                </div>
                            </div>
                            <!-- /.box -->
                        </div>
                        <!-- /.col -->
                    </div>
                </ui:repeat>
            </ui:define>  
        </ui:composition>
    </h:body> 
</html>